Package com.avaya.clientservices.user

## Class RegistrationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.avaya.clientservices.user.RegistrationException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RegistrationException
      extends java.lang.Exception

  Exception representing a registration failure.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegistrationException​(RegistrationError error)` |
    `RegistrationException​(RegistrationError error, int protocolErrorCode, java.lang.String protocolErrorReason)` |
    `RegistrationException​(RegistrationError error, int protocolErrorCode, java.lang.String protocolErrorReason, int protocolWarningCode, java.lang.String protocolWarningReason)` |
    `RegistrationException​(RegistrationError error, int protocolErrorCode, java.lang.String protocolErrorReason, int protocolWarningCode, java.lang.String protocolWarningReason, int secondsUntilRetry)` |
    `RegistrationException​(java.lang.String detailMessage, RegistrationError error, int protocolErrorCode, java.lang.String protocolErrorReason, int protocolWarningCode, java.lang.String protocolWarningReason, int secondsUntilRetry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RegistrationError` | `getError()` | Returns registration error type.
    `int` | `getProtocolErrorCode()` | Returns the error code from the underlying signaling protocol.
    `java.lang.String` | `getProtocolErrorReason()` | Returns the error reason string from the underlying signaling protocol.
    `int` | `getProtocolWarningCode()` | Returns the warning code from the underlying signaling protocol.
    `java.lang.String` | `getProtocolWarningReason()` | Returns the warning reason string from the underlying signaling protocol.
    `int` | `getSecondsUntilRetry()` | Returns the number of seconds until an automatic retry begins.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RegistrationException

          public RegistrationException​(RegistrationError error)

    - #### RegistrationException

          public RegistrationException​(RegistrationError error,
                                       int protocolErrorCode,
                                       java.lang.String protocolErrorReason)

    - #### RegistrationException

          public RegistrationException​(RegistrationError error,
                                       int protocolErrorCode,
                                       java.lang.String protocolErrorReason,
                                       int protocolWarningCode,
                                       java.lang.String protocolWarningReason)

    - #### RegistrationException

          public RegistrationException​(RegistrationError error,
                                       int protocolErrorCode,
                                       java.lang.String protocolErrorReason,
                                       int protocolWarningCode,
                                       java.lang.String protocolWarningReason,
                                       int secondsUntilRetry)

    - #### RegistrationException

          public RegistrationException​(java.lang.String detailMessage,
                                       RegistrationError error,
                                       int protocolErrorCode,
                                       java.lang.String protocolErrorReason,
                                       int protocolWarningCode,
                                       java.lang.String protocolWarningReason,
                                       int secondsUntilRetry)

  - ### Method Detail

    - #### getError

          public RegistrationError getError()

      Returns registration error type.
      Returns:
        registration error type.

    - #### getProtocolErrorCode

          public int getProtocolErrorCode()

      Returns the error code from the underlying signaling protocol.
      Returns:
        the error code from the underlying signaling protocol.

    - #### getProtocolErrorReason

          public java.lang.String getProtocolErrorReason()

      Returns the error reason string from the underlying signaling protocol.
      Returns:
        the error reason string from the underlying signaling protocol.

    - #### getProtocolWarningCode

          public int getProtocolWarningCode()

      Returns the warning code from the underlying signaling protocol.
      Returns:
        the warning code from the underlying signaling protocol.

    - #### getProtocolWarningReason

          public java.lang.String getProtocolWarningReason()

      Returns the warning reason string from the underlying signaling protocol.
      Returns:
        the warning reason string from the underlying signaling protocol.

    - #### getSecondsUntilRetry

          public int getSecondsUntilRetry()

      Returns the number of seconds until an automatic retry begins. 0 indicates no retry.
      Returns:
        the number of seconds until an automatic retry begins.